> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Update Recap

PATCH https://api.calendly.com/meeting_recaps/{uuid}
Content-Type: application/json

Update an existing Recap. You may send any combination of the optional body fields; omitted fields are left unchanged. Unknown top-level properties are rejected.

**Note:**
Requires paid plan

> `meeting_recaps:write`

Reference: https://developer.calendly.com/api-docs/calendly-api/notetaker/update-meeting-recaps-uuid

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required)

### Body (application/json)

This endpoint expects an object.

- `summary_md` (string, optional, nullable) — Summary in Markdown.
- `action_items_md` (string, optional, nullable) — Action items in Markdown.
- `discussion_md` (string, optional, nullable) — Discussion notes in Markdown.

## Response

### 200

OK

- `resource` (MeetingRecap, required) — A meeting recap generated for a Calendly scheduled event or an external event.

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission Denied or insufficient scope

- `Update-meeting-recaps-uuidRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### MeetingRecap

A meeting recap generated for a Calendly scheduled event or an external event.

- `uri` (string, required) — Canonical reference (unique identifier) for the recap
- `app_url` (string, required) — URL for an authorized Calendly user to open this meeting recap in the Calendly web app. Requires authentication and access to the recap.
- `status` (string, required) — Either 'Available', 'Processing', or 'Unavailable'
- `event` (string, optional, nullable) — Canonical reference (unique identifier) for the event
- `name` (string, optional, nullable) — Name of the meeting.
- `location` (Location, optional) — The polymorphic base type for an event location that Calendly supports
- `start_time` (string, optional, nullable) — Scheduled start time of the meeting (UTC, ISO 8601).
- `end_time` (string, optional, nullable) — Scheduled end time of the meeting (UTC, ISO 8601).
- `created_at` (string, optional, nullable) — When the meeting recap was created (UTC, ISO 8601).
- `updated_at` (string, optional, nullable) — When the meeting recap was last updated (UTC, ISO 8601).
- `attendees` (list of MeetingRecapAttendeesItems, optional, nullable) — Meeting attendees derived from tracked-meeting participants. Same shape as meeting_recap webhook attendees.
- `summary_md` (string, optional, nullable) — Summary Markdown
- `action_items_md` (string, optional, nullable) — Action Items Markdown
- `discussion_md` (string, optional, nullable) — Discussion Markdown
- `transcript` (string, optional, nullable) — Canonical reference (unique identifier) for the transcript
- `share_link` (string, optional, nullable) — URL for sharing this meeting recap with others. Access is determined by the recap’s sharing settings.

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### MeetingRecapsError

Permission Denied

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `Please upgrade to a paid Calendly account`, `You do not have permission to access this resource`, `Meeting recap access is not available. Required features are not enabled for your account`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### Location

The polymorphic base type for an event location that Calendly supports

### MeetingRecapAttendeesItems

- `host` (boolean, required) — Whether this attendee is the meeting host.
- `user_email` (string, required) — Attendee email address.
- `user_name` (string, required) — Attendee display name.

### InPersonMeeting

Information about the physical (in-person) event location

- `type` (enum, required) — Indicates that the event will be an in-person meeting.
  - Allowed values: `physical`
- `location` (string, required) — The physical location specified by the event host (publisher)
- `additional_info` (string, optional)

### OutboundCall

Meeting publisher will call the Invitee

- `type` (enum, required) — Indicates that the event host (publisher) will call the invitee
  - Allowed values: `outbound_call`
- `location` (string, required, nullable) — The phone number the event host (publisher) will use to call the invitee

### InboundCall

Invitee will call meeting publisher at the specified phone number

- `type` (enum, required) — Indicates that the invitee will call the event host
  - Allowed values: `inbound_call`
- `location` (string, required) — The phone number the invitee will use to call the event host (publisher)
- `additional_info` (string, optional)

### GoogleConference

Details about an Event that will take place using a Google Meet / Hangout conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a Google Meet or Hangouts conference
  - Allowed values: `google_conference`
- `status` (enum, required, nullable) — Indicates the current status of the Google conference \* Expect only `pushed` status to have a non-`null` value for the `join_url` field. - `processing` Location details generation pending - `initiated` Requesting location details from Google - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — Google conference meeting url

### ZoomConference

Meeting will take place in a Zoom conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a Zoom conference
  - Allowed values: `zoom`
- `status` (enum, required, nullable) — Indicates the current status of the Zoom conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from Zoom - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — Zoom meeting url
- `data` (ZoomConferenceData, required, nullable) — The conference metadata supplied by Zoom

### GotoMeetingConference

Details about an Event that will take place using a GotoMeeting conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a GoToMeeting conference
  - Allowed values: `gotomeeting`
- `status` (enum, required, nullable) — Indicates the current status of the GoToMeeting conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from GoToMeeting - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `initiated`, `processing`, `pushed`, `failed`
- `join_url` (string, required, nullable) — GoToMeeting conference meeting url
- `data` (GotoMeetingConferenceData, required, nullable) — The conference metadata supplied by GoToMeeting

### MicrosoftTeamsConference

Meeting will take place in a Microsoft Teams conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a Microsoft Teams conference
  - Allowed values: `microsoft_teams_conference`
- `status` (enum, required, nullable) — Indicates the current status of the Microsoft Teams conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from MS Teams - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — Microsoft Teams meeting url
- `data` (MicrosoftTeamsConferenceData, required, nullable) — The conference metadata supplied by Microsoft Teams

### CustomLocation

Use this to describe an existing Calendly-supported event location.

- `type` (enum, required) — The event location doesn't fall into a standard category defined by the event host (publisher)
  - Allowed values: `custom`
- `location` (string, required, nullable) — The location description provided by the event host (publisher)

### InviteeSpecifiedLocation

Information about an event location that’s specified by the invitee.

- `type` (enum, required) — The event location selected by the invitee
  - Allowed values: `ask_invitee`
- `location` (string, required) — The event location description provided by the invitee

### WebExConference

Details about an Event that will take place using a WebEx conference. Location details will not be available 6 months after event has occurred.

- `type` (enum, required) — The event location is a WebEx conference
  - Allowed values: `webex_conference`
- `status` (enum, required, nullable) — Indicates the current status of the WebEx conference \* Expect only `pushed` status to have non-`null` values for `join_url` & `data` fields. - `processing` Location details generation pending - `initiated` Requesting location details from WebEx - `pushed` Location details are available - `failed` Error occurred or event has been canceled - `null` Location details are no longer available
  - Allowed values: `processing`, `initiated`, `pushed`, `failed`
- `join_url` (string, required, nullable) — WebEx conference meeting url
- `data` (WebExConferenceData, required, nullable) — The conference metadata supplied by GoToMeeting

### ZoomConferenceData

The conference metadata supplied by Zoom

- `id` (ZoomConferenceDataId, optional) — The conference ID provided by Zoom
- `settings` (ZoomConferenceDataSettings, optional)
- `extra` (ZoomConferenceDataExtra, optional)
- `password` (string, optional) — Zoom meeting password

### GotoMeetingConferenceData

The conference metadata supplied by GoToMeeting

- `uniqueMeetingId` (double, optional) — Canonical reference (unique identifier) for the GoToMeeting conference
- `conferenceCallInfo` (string, optional)

### MicrosoftTeamsConferenceData

The conference metadata supplied by Microsoft Teams

- `id` (string, optional) — The conference ID provided by Microsoft Teams
- `audioConferencing` (MicrosoftTeamsConferenceDataAudioConferencing, optional, nullable)

### WebExConferenceData

The conference metadata supplied by GoToMeeting

- `id` (string, required) — Canonical reference (unique identifier) for the WebEx conference
- `telephony` (WebExConferenceDataTelephony, required)
- `password` (string, required)

### ZoomConferenceDataId

The conference ID provided by Zoom

### ZoomConferenceDataSettings

- `global_dial_in_numbers` (list of ZoomConferenceDataSettingsGlobalDialInNumbersItems, optional)

### ZoomConferenceDataExtra

- `intl_numbers_url` (string, optional) — Zoom International Dial-in Numbers URL

### MicrosoftTeamsConferenceDataAudioConferencing

- `conferenceId` (string, optional)
- `dialinUrl` (string, optional)
- `tollNumber` (string, optional)

### WebExConferenceDataTelephony

- `callInNumbers` (list of WebExConferenceDataTelephonyCallInNumbersItems, required)

### ZoomConferenceDataSettingsGlobalDialInNumbersItems

- `number` (string, optional) — Phone number
- `country` (string, optional) — Country code
- `type` (string, optional)
- `city` (string, optional)
- `country_name` (string, optional)

### WebExConferenceDataTelephonyCallInNumbersItems

- `label` (string, required)
- `callInNumber` (string, required)
- `tollType` (string, required)

## Examples

**Request**

```json
{
  "summary_md": "Updated summary after review.",
  "action_items_md": "- Create Jira epic\n- Notify stakeholders",
  "discussion_md": "Create Jira epic. Notify stakeholders."
}
```

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB",
    "app_url": "https://calendly.com/app/tracked_meetings/BBBBBBBBBBBBBBBB",
    "status": "Available",
    "event": "https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA",
    "name": "Weekly Sync",
    "location": {
      "location": "https://zoom.us/j/123456789",
      "type": "custom"
    },
    "start_time": "2025-11-08T20:28:00.561000Z",
    "end_time": "2025-11-08T21:28:00.561000Z",
    "created_at": "2025-11-08T19:00:00.000000Z",
    "updated_at": "2025-11-08T22:00:00.000000Z",
    "attendees": [
      {
        "host": true,
        "user_email": "john@example.com",
        "user_name": "John Smith"
      },
      {
        "host": false,
        "user_email": "steve@example2.com",
        "user_name": "Steve Johnson"
      }
    ],
    "summary_md": "Updated summary after review.",
    "action_items_md": "- Create Jira epic\n- Notify stakeholders",
    "discussion_md": "Create Jira epic. Notify stakeholders.",
    "transcript": "https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB/transcript",
    "share_link": "https://calendly.com/s/meetings/BBBBBBBBBBBBBBBB"
  }
}
```

**SDK Code**

```python Update recap request
import requests

url = "https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB"

payload = {
    "summary_md": "Updated summary after review.",
    "action_items_md": "- Create Jira epic
- Notify stakeholders",
    "discussion_md": "Create Jira epic. Notify stakeholders."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update recap request
const url = 'https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"summary_md":"Updated summary after review.","action_items_md":"- Create Jira epic\n- Notify stakeholders","discussion_md":"Create Jira epic. Notify stakeholders."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update recap request
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB"

	payload := strings.NewReader("{\n  \"summary_md\": \"Updated summary after review.\",\n  \"action_items_md\": \"- Create Jira epic\\n- Notify stakeholders\",\n  \"discussion_md\": \"Create Jira epic. Notify stakeholders.\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update recap request
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"summary_md\": \"Updated summary after review.\",\n  \"action_items_md\": \"- Create Jira epic\\n- Notify stakeholders\",\n  \"discussion_md\": \"Create Jira epic. Notify stakeholders.\"\n}"

response = http.request(request)
puts response.read_body
```

```java Update recap request
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"summary_md\": \"Updated summary after review.\",\n  \"action_items_md\": \"- Create Jira epic\\n- Notify stakeholders\",\n  \"discussion_md\": \"Create Jira epic. Notify stakeholders.\"\n}")
  .asString();
```

```php Update recap request
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB', [
  'body' => '{
  "summary_md": "Updated summary after review.",
  "action_items_md": "- Create Jira epic\\n- Notify stakeholders",
  "discussion_md": "Create Jira epic. Notify stakeholders."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Update recap request
using RestSharp;

var client = new RestClient("https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"summary_md\": \"Updated summary after review.\",\n  \"action_items_md\": \"- Create Jira epic\\n- Notify stakeholders\",\n  \"discussion_md\": \"Create Jira epic. Notify stakeholders.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update recap request
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "summary_md": "Updated summary after review.",
  "action_items_md": "- Create Jira epic
- Notify stakeholders",
  "discussion_md": "Create Jira epic. Notify stakeholders."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/meeting_recaps/BBBBBBBBBBBBBBBB")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```